cl.cromer.estructuras

## Interface Grafo.VisitorEX<T,E extends java.lang.Exception>

Type Parameters:
  `T` - Generic object
  `E` - Exception

Enclosing class:
  Grafo

    public static interface Grafo.VisitorEX<T,E extends java.lang.Exception>

A graph visitor interface that can throw an exception during a visit callback.

Version:
  $Revision$
Author:
  Scott.Stark@jboss.org

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visit(Grafo.Dirigido<T> g, Grafo.Vertex<T> v)` Called by the graph traversal methods when a vertex is first visited.

### Method Detail

#### visit

    void visit(Grafo.Dirigido<T> g,
               Grafo.Vertex<T> v)
        throws E extends java.lang.Exception

Called by the graph traversal methods when a vertex is first visited.

Parameters:
  `g` - - the graph
  `v` - - the vertex being visited.
Throws:
  `E` - exception for any error
  `E extends java.lang.Exception`